Page MenuHomePhabricator

Homepage: different paths to User talk depending on origin tab
Closed, ResolvedPublic

Description

Related Objects

StatusAssignedTask
OpenNone
ResolvedMMiller_WMF
ResolvedMMiller_WMF
ResolvedSBisson
ResolvedSBisson
Resolvedkostajh
Openkostajh
ResolvedSBisson
ResolvedSBisson
ResolvedEtonkovidova
ResolvedSBisson
Openkostajh
ResolvedSBisson
OpenNone
DuplicateNone
ResolvedSBisson
Openkostajh
Resolvedkostajh
Resolvednettrom_WMF
Resolvedkostajh
ResolvedSBisson
OpenSBisson
ResolvedJdforrester-WMF
Resolvedkostajh

Event Timeline

SBisson created this task.Jun 12 2019, 6:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2019, 6:57 PM

@kostajh could you explain how this works?

Sure. MinervaNeue contains code (skins/MinervaNeue/resources/skins.minerva.talk/init.js) which takes over control of the Talk tab and displays the talk overlay. That code is currently loaded when viewing the user page or an article page. We could load it on Special:Homepage, but I think we might also need to make some modifications to init.js so it supports overriding the links when added to a Special page, since AMC tabs generally are assumed to be added to content pages and not special pages.

MMiller_WMF renamed this task from Different paths to User talk page depending from which tab 'Discussion' tab is clicked to Homepage: different paths to User talk depending origin tab.Jun 12 2019, 10:07 PM
MMiller_WMF renamed this task from Homepage: different paths to User talk depending origin tab to Homepage: different paths to User talk depending on origin tab.
MMiller_WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
MMiller_WMF added subscribers: Catrope, Etonkovidova, Cntlsn and 3 others.
JTannerWMF moved this task from Needs triage to Triaged on the Mobile board.Jun 14 2019, 11:36 AM

@MMiller_WMF Which one of the two options described in the task description do we want, navigating to the talk page (1st option) or opening the talk overlay (2nd option)?

@SBisson -- we want it to be the 2nd option (opening the talk overlay), because we want the behavior to be consistent with what AMC is doing by default.

Change 517730 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/skins/MinervaNeue@master] Use wgRelevantPageTitle when setting up talk overlay

https://gerrit.wikimedia.org/r/517730

Change 517731 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Enable talk overlay on mobile homepage talk tab

https://gerrit.wikimedia.org/r/517731

@Catrope had the brilliant idea to use wgRelevantPageTitle for this. Let's hope it's acceptable on the Minerva side.

Change 517730 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Use wgRelevantPageTitle when setting up talk overlay

https://gerrit.wikimedia.org/r/517730

Change 517731 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Enable talk overlay on mobile homepage talk tab

https://gerrit.wikimedia.org/r/517731

Etonkovidova closed this task as Resolved.Jun 26 2019, 5:08 PM

Checked in betalabs - the look for Discussion page is the same for users coming from Homepage and from User page

Change 526475 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526475

Change 526475 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526475

Change 526610 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.16] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526610

Change 526612 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.15] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526612

Change 526610 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.16] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526610

Change 526612 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.34.0-wmf.15] Only set relevant title on mobile skin

https://gerrit.wikimedia.org/r/526612

Mentioned in SAL (#wikimedia-operations) [2019-07-31T16:25:02Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.15/extensions/GrowthExperiments/: SWAT: [[:gerrit:526612|Only set relevant title on mobile skin]] (T229263, T225659) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-07-31T16:26:26Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.16/extensions/GrowthExperiments/: SWAT: [[:gerrit:526610|Only set relevant title on mobile skin]] (T229263, T225659) (duration: 00m 51s)